Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
alsa-driver masked by: -keyword
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc
View previous topic :: View next topic  
Author Message
crimsonkepi
n00b
n00b


Joined: 10 Jun 2004
Posts: 10

PostPosted: Sat Jun 19, 2004 10:59 am    Post subject: alsa-driver masked by: -keyword Reply with quote

When I try to emerge alsa-driver on a sparc box I receive the message that all possible ebuilds are masked by -keyword. Looking at gentoo-portage.com, I see all alsa-driver ebuilds have -sparc.

How do I emerge alsa on a sparc box?
Back to top
View user's profile Send private message
Shan
Guru
Guru


Joined: 04 Nov 2003
Posts: 556
Location: /dev/null

PostPosted: Sat Jun 19, 2004 11:54 am    Post subject: Reply with quote

ACCEPT_KEYWORDS=~sparc ?
_________________
2b || !2b
{ STFF } { GOOGLE } { RTFM } { NO -U } { STRIP }
Back to top
View user's profile Send private message
crimsonkepi
n00b
n00b


Joined: 10 Jun 2004
Posts: 10

PostPosted: Sat Jun 19, 2004 4:21 pm    Post subject: Reply with quote

I am using ACCEPT_KEYWORDS="~sparc" in the /etc/make.conf

Take a look at http://www.gentoo-portage.com/browse-program.php?program=2841

I see the tilde in front of ~x86, ~ppc, and so on which makes me believe these may not be stable; however, there is dash infront of -sparc.

I'm tempted to USE="-sparc" emerge alsa-driver but no where in the alsa documentation or the forums do I see where I should have to do this.
Back to top
View user's profile Send private message
crimsonkepi
n00b
n00b


Joined: 10 Jun 2004
Posts: 10

PostPosted: Sat Jun 19, 2004 10:55 pm    Post subject: Reply with quote

I figured out what the problem is: All of the alsa-driver ebuild files contain KEYWORDs="-sparc"

So, the questions is: What version of alsa-driver works with sparc? In particular 2.4.26-sparc-r1.
Back to top
View user's profile Send private message
Red Sparrow
Tux's lil' helper
Tux's lil' helper


Joined: 05 Feb 2004
Posts: 128
Location: Greeley, CO

PostPosted: Sun Jun 20, 2004 3:03 am    Post subject: Reply with quote

A dash in front of the arch typically means that it will not wark on that architecture period. For instance, the ATI drivers ebuild has "-ppc" because ATI has only provided pre-compiled x86 binaries. I'm not sure what's going on in this case, though.

(- Steve -)
Back to top
View user's profile Send private message
Mark Clegg
Apprentice
Apprentice


Joined: 05 Jan 2004
Posts: 270
Location: ZZ9 Plural Z Alpha

PostPosted: Sun Jun 20, 2004 9:40 am    Post subject: Reply with quote

alsa-driver isn't for sparc. If you're on an Ultra-5/10 you'll have a CS4231 chipset which has sparc specific drivers in the kernel build. You'll also need the audioctl program to unmute/control it.

You can "try" alsa if you want by using the drivers built-in to the 2.6 kernels, but it still seems very iffy.

Do some searching in this forum - there's plenty of discussion about both.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum